View all methods
customData.deleteAllByReference
Delete all records with the given reference.
Facts
| Method | POST https://yourinstance.getdx.net/api/customData.deleteAllByReference |
Arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
reference |
Text |
The domain reference. |
Usage info
Custom data APIs allow you to add arbitrary JSON data to your DX database. The records are stored in the custom_data table that is queryable alongside all of your other DX data.
For more information about the supported SQL operators and functions available for querying the JSON values please reference the PostgreSQL documentation.
Example request
This is a typical request:
curl -X POST https://yourinstance.getdx.net/api/customData.deleteAllByReference?reference=orgname/repo \
-H 'Accept: application/json' \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'